Create customerTemplate
Create a customerTemplate object in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
POST {businesscentralPrefix}/companies({id})/customerTemplatesWebCon
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply a JSON representation of customerTemplateWebCon object.
Response
If successful, this method returns 201 Created response code and a customerTemplate object in the response body.
Example
Request
Here is an example of a request.
POST https://{businesscentralPrefix}/companies({id})/customerTemplatesWebCon
Content-type: application/json
{
"code": "DEBITOR 3RD",
"description": "3RD Debitor"
}
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"id": "b466deed-c548-ee11-a0d4-dd2d6fabfb3e",
"code": "DEBITOR 3RD",
"description": "3RD Debitor"
}
See also
Tips for working with the APIs
customerTemplate
Get customerTemplate
Delete customerTemplate
Update customerTemplate